VERSION 5.00
Begin VB.UserControl UCTrackMouseEvent 
   BackColor       =   &H000000FF&
   ClientHeight    =   3600
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   4800
   ScaleHeight     =   3600
   ScaleWidth      =   4800
End
Attribute VB_Name = "UCTrackMouseEvent"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'*** Variables
    '*** tTrackMouseEventType
    Private tTrackMouseEventType As TRACKMOUSEEVENTTYPE
' ======================================================================================
' --------------------------------- UserControl ----------------------------------------
' ======================================================================================
Private Sub UserControl_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    '*** Ignore Errors
    On Error Resume Next
    '*** Check hWndHoverControl
    If hWndHoverControl <> UserControl.hwnd Then
        '*** SendMessage
        Call SendMessage(hWndHoverControl, WM_MOUSELEAVE, 0&, 0&)
        '*** Set hWndHoverControl
        hWndHoverControl = UserControl.hwnd
        '*** Check lpPrevWindowProc
        If lpPrevWindowProc = 0 Then
            '*** SetWindowLong
            lpPrevWindowProc = SetWindowLong(UserControl.hwnd, GWL_WNDPROC, AddressOf WindowProc)
        End If
        '*** Set tTrackMouseEventType.cbSize
        tTrackMouseEventType.cbSize = Len(tTrackMouseEventType)
        '*** Set tTrackMouseEventType.dwFlags
        tTrackMouseEventType.dwFlags = TME_LEAVE
        '*** Set tTrackMouseEventType.hwndTrack
        tTrackMouseEventType.hwndTrack = UserControl.hwnd
        '*** TrackMouseEvent
        Call TrackMouseEvent(tTrackMouseEventType)
        '*** Paint UserControl
        Call UserControl_Paint
    End If
    '*** Disable ErrorHandler
    On Error GoTo 0
End Sub
Private Sub UserControl_Paint()
    '*** Ignore Errors
    On Error Resume Next
    
    '*** Die Auswertung im Paint Ereignis funktioniert nur
    '*** wenn Autoredraw=False da bei Autoredraw=True kein
    '*** Paint Ereignis ausgelst wird
    
    '*** Abfrage ob Maus auf dem UserControl ist.
    '*** Hier kann z.B. ein Event ausgelst werden.
    
    If UserControl.hwnd <> hWndHoverControl Then
    
        '*** Maus ist nicht auf dem UserControl
        
        
        '*** Change BackColor
        UserControl.BackColor = &HFF&
    Else
    
        '*** Maus ist auf dem UserControl
    
        '*** Change BackColor
        UserControl.BackColor = &HFF00&
    End If
    
    
    '*** Disable ErrorHandler
    On Error GoTo 0
End Sub

